{
  pkgs,
  lib,
  config,
  ...
}: let
  program = "kitty";
  cfg = config.dots.${program};
  #sec = sops.secrets;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {
    programs.${program} = {
      enable = true;
      #    enableZshIntegration = true;
      enableGitIntegration = true;
      #darwinLaunchOptions = [""];
      settings = {
        dynamic_background_opacity = "no";
        confirm_os_window_close = "0";
        shell_integration = "enabled";
        cursor = "#d0d0d0";
        cursor_shape = "beam";
        cursor_beam_thickness = 2.5;
        foreground = "#dddddd";
        background = "#2F1730";
        #background_opacity = 0.9;
        selection_foreground = "none";
        selection_background = "none";
        term = "xterm-256color";
      };
      #    font = {
      #      package = ;
      #      name = ;
      #      size = 12;
      #    };
    };
  };
}
